轉錄 Sublime Text 3 將 Sass Scss外掛安裝

SASS(SCSS)的編譯需要透過Ruby進行編譯,不用懷疑

SCSS是SASS的一個分支,因此安裝SACC就可以

因此Sublime 安裝SCSS時需要先安裝Ruby

(或許可能還需要安裝node.js)

  1. 首先安裝Ruby,選擇適當的版本就可
  2. 安裝完成後,可開啟command的黑色視窗,輸入 ruby -v,確認版本是否正常,(如果顯示為找不到命令,須重新開啟command)
  3. 在command輸入 
    gem install sass
  4. 如果顯示找不到gem命令,於開始>ruby>開啟 Start Command Prompt with Ruby,然後再一次執行命令
  5. 在command輸入 sass -v,確認sass安裝的版本
  6. Sublime 上利用 Package Control 安裝 Sass 、 SASS Build 跟 SublimeOnSaveBuild,
  7. 重新開啟Sublime,開啟後打開一個.scss的檔案,右下角會自動切換為SCSS
  8. Sublime > tool >Build system>選擇一個適當的建置模組(預設為SASS-compressed)
  9. Sublime > tool >Build,將會自動產生.CSS與.MAP檔案
  10. 大功告成,享受SCSS的優勢吧!!

發表迴響

你的電子郵件位址並不會被公開。 必要欄位標記為 *